Redmine - Defect #8753

PDF export for Hebrew is reversed
2011-07-06 14:33 - Orgad Shaneh

Status: Closed Start date: 2010-07-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 2.6.0

Resolution: Fixed Affected version:

Description

PDF export of an issue is displayed from left to right (e.g. DI?W is displayed as w'*7ID)

Related issues:

Related to Redmine - Defect #10681: Export to Persian PDF problem Closed
Related to Redmine - Feature #13317: Pluggable PDF export engine New
History

#1 - 2011-12-20 21:48 - Jonathan M

| can confirm that this is still an issue in 1.3.0

#2 - 2011-12-20 23:26 - Jun NAITOH

Redmine is useing RFPDF (TCPDF) library.
But RFPDF is not supporting RTL (Right-To-LeftRTF) now.
| think that RFPDF library needs to add RTL function, and if | am possible, | would like to challenge it.

#3 - 2011-12-20 23:45 - Toshi MARUYAMA
- Resolution deleted (Duplicate)

#4 - 2011-12-21 07:50 - Orgad Shaneh

Duplicate of...?
#5 - 2011-12-21 08:01 - Orgad Shaneh
Orgad Shaneh wrote:

Duplicate of...?

Got it. It was marked as duplicate by mistake, and now you deleted it. Ignore my comment...

#6 - 2012-08-06 18:34 - Genadi Saltikov

Any update on this issue guys?
| tried to search for RFPDF in relation to RTL or right to left on google, but did not get anything relevant :(

Are there any alternative libraries, could you consider switching? Redmine is incomplete without support for RTL languages - unfortunately | am not
the only user :(

#7 - 2012-08-06 18:43 - William Roush
The RFPDF author migrated his apps to Prawn, probably a good option.

https://github.com/prawnpdf/prawn

#8 - 2012-09-03 00:38 - Jun NAITOH

Any update on this issue guys?

| am still challengeing.
https://github.com/prawnpdf/prawn

| think it possible to support RTL in RFPDF library.

#9 - 2014-06-22 14:22 - Ebrahim Mohammadi
Any news on support of RTL in RFPDF and Redmine PDF export?

#10 - 2014-06-22 14:34 - Toshi MARUYAMA
- Related to Feature #13317: Pluggable PDF export engine added

#11 - 2014-06-22 14:34 - Toshi MARUYAMA

Ebrahim Mohammadi wrote:

Any news on support of RTL in RFPDF and Redmine PDF export?

See #13317#note-6.

#12 - 2014-10-18 13:04 - Toshi MARUYAMA
- Status changed from New to Closed
- Target version set to 2.6.0

- Resolution set to Fixed

Fixed by #17570.
https://www.redmine.org/issues/13317#note-6
https://www.redmine.org/issues/17570
http://www.tcpdf.org

